import React from 'react';
import {render} from '@shared/testingLibrary';

import {Badge} from './index';

describe('Badge component', () => {
  it('shows +99 label', () => {
    const {getByText} = render(<Badge show value={100} />);

    expect(getByText(`+99`)).toBeTruthy();
  });

  it('does not show a label', () => {
    const {queryByTestId} = render(<Badge value={0} />);

    expect(queryByTestId('badgeText')).toBeNull();
  });
});
